Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# self.cash

property Strategy.cash

  Returns the current cash. This is the money that is not used for positions or orders (in other words, the money that is available to buy new assets, or cash).

  This property is updated whenever a transaction was filled by the broker or when dividends are paid.

  Crypto currencies are a form of cash. Therefore cash will always be zero.

  Returns:

    cash – The current cash.

  Return type:

    float

  Example

      >>> # Get the current cash available in the account
      >>> self.log_message(self.cash)